/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package commande
{
	/**
	 * Une MacroCommande lance plusieurs Commandes les unes à la suite des autres
	 * 
	 * @author Matthieu
	 */
	public class MacroCommande implements ICommande
	{
		private var aCommandes:Array;// tableau contenant des références aux objets Commande
		
		
		public function MacroCommande(aCmds:Array)
		{
			aCommandes = aCmds; 	
		}

		
		/**
		 * Parcours le tableau et exécute toutes les commandes
		 * 
		 */
		public function execute() : void
		{
			// lancer la méthode execute() pour toutes les commandes.
			for (var i : int = 0; i < aCommandes.length; i++) 
				aCommandes[i].execute();
		}


		/**
		 * Parcours le tableau et lance la méthode annulation de toutes les commandes
		 * 
		 */
		public function callBack() : void
		{
			// lancer la méthode callBack() pour toutes les commandes.
			for (var i : int = 0; i < aCommandes.length; i++) 
				aCommandes[i].callBack();
		}
	}
}
